require('telescope').setup({
--дополнения
  extensions = {
    fzf = {
      fuzzy = true,                    -- false will only do exact matching
      override_generic_sorter = true,  -- override the generic sorter
      override_file_sorter = true,     -- override the file sorter
      case_mode = "ignore_case",        -- or "ignore_case" or "respect_case"
                                       -- the default case_mode is "smart_case"
    }
  },
--настройки
  defaults = {
	debug = true,
    mappings = {
      i = {
        -- Замена j на l для перемещения вниз
        ["k"] = "move_selection_next",
        -- Замена k на h для перемещения вверх
        ["l"] = "move_selection_previous",
        -- Отключение оригинальных j и k, если нужно
        ["j"] = false,
      },
      n = {
        -- Аналогично для режима normal
        ["k"] = "move_selection_next",
        ["l"] = "move_selection_previous",
        ["j"] = false,
      },
    },
  },
})



-- To get fzf loaded and working with telescope, you need to call
-- load_extension, somewhere after setup function:
require('telescope').load_extension('fzf')

local builtin = require('telescope.builtin')
vim.keymap.set('n', '<Leader>o', builtin.find_files, { desc = 'Telescope find files' })
vim.keymap.set('n', '<Leader>f', builtin.live_grep, { desc = 'Telescope live grep' })

